<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/1_Core/proto/EnVRDevice.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d03/_en_v_r_device_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">EnVRDevice.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d03/_en_v_r_device_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifdef GAME_TEMPLATE</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="keyword">enum</span> VRDeviceType</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    DEVICE_TYPE_OCULUS,</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    DEVICE_TYPE_PS4</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>}</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="keyword">enum</span> VRStatus</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>{</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    VR_STATUS_UNKNOWN,                  <span class="comment">//&lt; Unknown state, probably uninitialized.</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    VR_STATUS_VISIBLE,                  <span class="comment">//&lt; The HMD is being used for rendering.</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    VR_STATUS_PRESENT,                  <span class="comment">//&lt; The HMD port is open.</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    VR_STATUS_MOUNTED,                  <span class="comment">//&lt; The HMD is mounted on users head.</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    VR_STATUS_DISPLAY_LOST,         <span class="comment">//&lt; The HMD was present and disappeared.</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    VR_STATUS_SHOULD_QUIT,          <span class="comment">//&lt; Application requested exit.</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    VR_STATUS_SHOULD_RECENTER,  <span class="comment">//&lt; The HMD Recenter request event was triggered. </span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    VR_STATUS_TRACKED,                  <span class="comment">//&lt; The tracking data for the HMD are up to date.</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    VR_STATUS_CALIBRATING,          <span class="comment">//&lt; The HMD is being calibrated.</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>}</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="keyword">enum</span> VRHandEnum</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>{</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    VR_HAND_LEFT, <span class="comment">//&lt; HMD controller left hand.</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    VR_HAND_RIGHT <span class="comment">//&lt; HMD controller right hand.</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>}</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="keyword">enum</span> VREye</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>{</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    VR_EYE_LEFT, <span class="comment">// HMD left eye.</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    VR_EYE_RIGHT <span class="comment">// HMD right eye.</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>}</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span><span class="keyword">class </span>VRDevice : <a class="code hl_class" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>{</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    proto native <span class="keyword">static</span> VRDevice <a class="code hl_function" href="../../de/d35/_day_z_anim_event_maps_8c.html#ac7bf143b27c9ffb99061980c00a31d40">GetInstance</a>();</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    proto native VRStatus               GetStatusFlags();</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    proto native owned <span class="keywordtype">string</span>   <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#gac97112280cc4435c8df3c88070c839b4">GetName</a>();</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    proto native VRDeviceType GetDeviceType();</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    proto native <span class="keywordtype">void</span>                               RecenterHeadTracking();</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    proto native <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>                         GetHeadPosition();</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    proto native <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>                         GetHeadOrientation();</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    proto native <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>                         GetHandPosition(VRHand hand);</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    proto native <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>                         GetHandOrientation(VRHand hand);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    proto native <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>                         GetEyePosition(VREye eye);</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    proto native <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>                         GetEyeOrientation(VREye eye);</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    proto native <span class="keywordtype">void</span>                               SetScale(<span class="keywordtype">float</span> scale);</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    proto native <span class="keywordtype">float</span>                          GetScale();</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span> </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    proto external <span class="keywordtype">void</span>                         GetEyeFOV(VREye eye, out <span class="keywordtype">float</span> leftTan, out <span class="keywordtype">float</span> rightTan, out <span class="keywordtype">float</span> upTan, out <span class="keywordtype">float</span> downTan);</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>};</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span> </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span><span class="keyword">enum</span> PSVrHeadRecenterFlagsEnum</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>{</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    VR_RECENTER_POSITION,</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    VR_RECENTER_ORIENTATION</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>}</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span><span class="keyword">enum</span> PSVrBrightnessRiskEnum</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>{</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    VR_BRIGHTNESS_RISK_LOW,</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    VR_BRIGHTNESS_RISK_HIGH,</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    VR_BRIGHTNESS_RISK_MAX</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>}</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span><span class="keyword">enum</span> PSVrTrackingQualityEnum</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>{</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    VR_TRACKING_QUALITY_NONE,</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    VR_TRACKING_QUALITY_NOT_VISIBLE,</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    VR_TRACKING_QUALITY_PARTIAL,</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    VR_TRACKING_QUALITY_FULL</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>}</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span> </div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span><span class="keyword">enum</span> PSVrDialogStatusEnum</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>{</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    VR_DIALOG_UNKNOWN,</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    VR_DIALOG_OK,</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    VR_DIALOG_CANCELED,</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    VR_DIALOG_RUNNING   </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>}</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span> </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span><span class="keyword">class </span>VRDevice_PS4 : VRDevice</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>{</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    proto native <span class="keywordtype">void</span> Set2D(<span class="keywordtype">bool</span> enabled);</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    proto native <span class="keywordtype">bool</span> ShowHmdServiceDialog();</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    proto native <span class="keywordtype">bool</span> ShowHmdSetupDialog();</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    proto native PSVrDialogStatusEnum GetSetupDialogStatus();</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>    proto native PSVrDialogStatusEnum GetServiceDialogStatus();</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span> </div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    proto native <span class="keywordtype">void</span> SetRecenterHeadFlags(PSVrHeadRecenterFlagsEnum flags);</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>    proto native PSVrHeadRecenterFlagsEnum GetRecenterHeadFlags();</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>    proto native <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> GetEyeOffset(VREye eye);</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    proto native <span class="keywordtype">void</span> SetMinOutputColor(<span class="keywordtype">int</span> color);</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>    proto native <span class="keywordtype">void</span> SetEyeFOV(VREye eye, <span class="keywordtype">float</span> leftTan, <span class="keywordtype">float</span> rightTan, <span class="keywordtype">float</span> upTan, <span class="keywordtype">float</span> downTan);</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>    proto native <span class="keywordtype">void</span> ResetToDeviceFOV(VREye eye);</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>    proto native <span class="keywordtype">void</span> SetOversamplingFactor(<span class="keywordtype">float</span> factor);</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>    proto <span class="keywordtype">bool</span> GetHmdTrackingStatus(    out PSVrBrightnessRiskEnum bRisk, </div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>                                                                        out PSVrTrackingQualityEnum posQuality, </div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>                                                                        out PSVrTrackingQualityEnum orQuality);</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>    proto <span class="keywordtype">bool</span> GetMoveTrackingStatus(   VRHand hand, </div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>                                                                                        out PSVrBrightnessRiskEnum bRisk, </div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>                                                                                        out PSVrTrackingQualityEnum posQuality, </div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>                                                                                        out PSVrTrackingQualityEnum orQuality);</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>}               </div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span> </div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span><span class="keyword">class </span>Oculus : VRDevice</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>{</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>    <span class="comment">// TODO:</span></div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>}</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span> </div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span><span class="comment">/*</span></div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span><span class="comment">* @}</span></div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span><span class="comment">*/</span></div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span> </div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="a_day_z_anim_event_maps_8c_html_ac7bf143b27c9ffb99061980c00a31d40"><div class="ttname"><a href="../../de/d35/_day_z_anim_event_maps_8c.html#ac7bf143b27c9ffb99061980c00a31d40">GetInstance</a></div><div class="ttdeci">static AnimSoundObjectBuilderBank GetInstance()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d35/_day_z_anim_event_maps_8c_source.html#l00132">DayZAnimEventMaps.c:132</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
<div class="ttc" id="agroup___enforce_html_dd/d17/class_managed"><div class="ttname"><a href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></div><div class="ttdoc">TODO doc.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00117">EnScript.c:118</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_gac97112280cc4435c8df3c88070c839b4"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#gac97112280cc4435c8df3c88070c839b4">GetName</a></div><div class="ttdeci">proto native owned string GetName()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/db5/_synced_value_8c_source.html#l00117">SyncedValue.c:117</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_8458acb75977370f2590729f022fcd01.html">1_Core</a></li><li class="navelem"><a class="el" href="../../dir_55f504f971b0759ce397ed6ea605b012.html">proto</a></li><li class="navelem"><a class="el" href="../../d0/d03/_en_v_r_device_8c.html">EnVRDevice.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
